Package org.eclipse.jface.databinding.viewers

# Class ListeningLabelProvider<E>

java.lang.Object
org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider
org.eclipse.jface.databinding.viewers.ListeningLabelProvider<E>

Type Parameters:
  `E` - type of the viewer elements that labels are provided for

All Implemented Interfaces:
  `IBaseLabelProvider`, `ILabelProvider`, `IViewerLabelProvider`

public abstract class ListeningLabelProvider<E> extends org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider

Since:
  1.1

## Constructor Summary

Constructors
Constructor
Description
`ListeningLabelProvider(IObservableSet<E> itemsThatNeedLabels)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract void`
`addListenerTo(E next)`
`void`
`dispose()`
Disposes of this label provider.
`protected abstract void`
`removeListenerFrom(E next)`

### Methods inherited from class org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider

`addListener, fireChangeEvent, getImage, getText, isLabelProperty, removeListener, updateLabel`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListeningLabelProvider

public ListeningLabelProvider(IObservableSet<E> itemsThatNeedLabels)

Parameters:
  `itemsThatNeedLabels` - the managed elements

## Method Details

### removeListenerFrom

protected abstract void removeListenerFrom(E next)

Parameters:
  `next` - element to remove listener from

### addListenerTo

protected abstract void addListenerTo(E next)

Parameters:
  `next` - element to add listener to

### dispose

public void dispose()
Description copied from interface: `IBaseLabelProvider`
Disposes of this label provider. When a label provider is attached to a viewer, the viewer will automatically call this method when the viewer is being closed. When label providers are used outside of the context of a viewer, it is the client's responsibility to ensure that this method is called when the provider is no longer needed.

Specified by:
  `dispose` in interface `IBaseLabelProvider`
Overrides:
  `dispose` in class `org.eclipse.jface.internal.databinding.provisional.viewers.ViewerLabelProvider`